package com.ruoyi.app.service.impl;

import java.util.List;

import com.ruoyi.app.domain.AppPmsOrderOut;
import com.ruoyi.app.mapper.AppPmsOrderOutMapper;
import com.ruoyi.app.service.IAppPmsOrderOutService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2025-01-14
 */
@Service
public class AppPmsOrderOutServiceImpl implements IAppPmsOrderOutService
{
    @Autowired
    private AppPmsOrderOutMapper appPmsOrderOutMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param listId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public AppPmsOrderOut selectAppPmsOrderOutByListId(String listId)
    {
        return appPmsOrderOutMapper.selectAppPmsOrderOutByListId(listId);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appPmsOrderOut 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<AppPmsOrderOut> selectAppPmsOrderOutList(AppPmsOrderOut appPmsOrderOut)
    {
        return appPmsOrderOutMapper.selectAppPmsOrderOutList(appPmsOrderOut);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param appPmsOrderOut 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertAppPmsOrderOut(AppPmsOrderOut appPmsOrderOut)
    {
        return appPmsOrderOutMapper.insertAppPmsOrderOut(appPmsOrderOut);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param appPmsOrderOut 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateAppPmsOrderOut(AppPmsOrderOut appPmsOrderOut)
    {
        return appPmsOrderOutMapper.updateAppPmsOrderOut(appPmsOrderOut);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param listIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppPmsOrderOutByListIds(String[] listIds)
    {
        return appPmsOrderOutMapper.deleteAppPmsOrderOutByListIds(listIds);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param listId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppPmsOrderOutByListId(String listId)
    {
        return appPmsOrderOutMapper.deleteAppPmsOrderOutByListId(listId);
    }

    @Override
    public int updatePickNum(AppPmsOrderOut appPmsOrderOut) {
           return  appPmsOrderOutMapper.updatePickNum(appPmsOrderOut);
    }
}
